<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Send_SecurityCommand StructType
 * @subpackage Structs
 */
class Send_SecurityCommand extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The SecurityCommand
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SecurityCommand
     */
    public $SecurityCommand;
    /**
     * Constructor method for Send_SecurityCommand
     * @uses Send_SecurityCommand::setLogin()
     * @uses Send_SecurityCommand::setSecurityCommand()
     * @param \StructType\Login $login
     * @param \StructType\SecurityCommand $securityCommand
     */
    public function __construct(\StructType\Login $login = null, \StructType\SecurityCommand $securityCommand = null)
    {
        $this
            ->setLogin($login)
            ->setSecurityCommand($securityCommand);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Send_SecurityCommand
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get SecurityCommand value
     * @return \StructType\SecurityCommand|null
     */
    public function getSecurityCommand()
    {
        return $this->SecurityCommand;
    }
    /**
     * Set SecurityCommand value
     * @param \StructType\SecurityCommand $securityCommand
     * @return \StructType\Send_SecurityCommand
     */
    public function setSecurityCommand(\StructType\SecurityCommand $securityCommand = null)
    {
        $this->SecurityCommand = $securityCommand;
        return $this;
    }
}
